if SERVER then
	AddCSLuaFile()
	resource.AddWorkshop("648505481") -- Make the swep download from Steam Workshop
elseif CLIENT then
	SWEP.PrintName			= "Golden Deagle"
	SWEP.Author				= "TTT, TypicalRookie and Robotboy655" -- Credits: TTT for the Deagle, Robotboy655 for the gold color, TypicalRookie for putting them together
	SWEP.Slot				= 1
	SWEP.Contact			= "http://steamcommunity.com/sharedfiles/filedetails/?id=648505481"
end
	
SWEP.Icon 					= "vgui/ttt/icon_gold_deagle"

SWEP.Base					= "weapon_tttbase"

SWEP.Primary.Ammo			= "Pistol"
SWEP.Primary.Recoil			= 6
SWEP.Primary.Damage 		= 37
SWEP.Primary.Delay 			= 0.6
SWEP.Primary.Cone 			= 0.02
SWEP.Primary.ClipSize 		= 8
SWEP.Primary.ClipMax 		= 36
SWEP.Primary.DefaultClip	= 8
SWEP.Primary.Automatic 		= true
SWEP.Primary.Sound 			= Sound("Weapon_Deagle.Single")

SWEP.HeadshotMultiplier 	= 4
SWEP.UseHands				= true
SWEP.ViewModelFlip			= false
SWEP.ViewModelFOV			= 54

SWEP.ViewModel  			= Model("models/weapons/cstrike/c_pist_deagle.mdl")
SWEP.WorldModel 			= Model("models/weapons/w_pist_deagle.mdl")

SWEP.IronSightsPos 			= Vector(-6.361, -3.701, 2.15)
SWEP.IronSightsAng 			= Vector(0, 0, 0)

SWEP.HoldType = "pistol"

function SWEP:Initialize()
     self:SetColor(Color(184, 134, 0, 255)) -- Paints world model
end

function SWEP:PreDrawViewModel( vm ) -- Paint the deagle before drawing it
     Material("models/weapons/v_models/pist_deagle/deagle_skin1"):SetVector("$color2", Vector(184, 134, 0) )
end

function SWEP:PostDrawViewModel( vm ) -- Paint it back
     Material("models/weapons/v_models/pist_deagle/deagle_skin1"):SetVector("$color2", Vector(1, 1, 1) )
end

-- Kind specifies the category this weapon is in. Players can only carry one of
-- each. Can be: WEAPON_... MELEE, PISTOL, HEAVY, NADE, CARRY, EQUIP1, EQUIP2 or ROLE.
-- Matching SWEP.Slot values: 0      1       2     3      4      6       7        8
SWEP.Kind = WEAPON_PISTOL

-- If AutoSpawnable is true and SWEP.Kind is not WEAPON_EQUIP1/2, 
-- then this gun can be spawned as a random weapon.
SWEP.AutoSpawnable = false

-- The AmmoEnt is the ammo entity that can be picked up when carrying this gun.
SWEP.AmmoEnt = "item_ammo_pistol_ttt"

-- If AllowDrop is false, players can't manually drop the gun with Q
SWEP.AllowDrop = true

-- If IsSilent is true, victims will not scream upon death.
SWEP.IsSilent = false

-- If NoSights is true, the weapon won't have ironsights
SWEP.NoSights = false